<?php
namespace Tests\AppBundle\Controller;

use AppBundle\Controller\HelloController;
use Symfony\Bundle\FrameworkBundle\Test\WebTestCase;

class HelloControllerTest extends WebTestCase
{
    public function testHelloRandomRoute()
    {
        $client = static::createClient();

        $crawler = $client->request('GET', '/helloRandom');

        $this->assertEquals(200, $client->getResponse()->getStatusCode());
        $this->assertContains('Hello ', $crawler->filter('h1')->text());
    }

    function testRandomNameGenerator(){
        $rdName = HelloController::generateRandomName();
        $this->assertGreaterThan(1, strlen($rdName));
    }

    function testNameAction1(){
$client =static ::createClient();
        $crawler = $client->request('GET', '/hello/Albus Perceval Wulfric Brian Dumbledore');
        $this->assertEquals(200, $client->getResponse()->getStatusCode());


    $this->assertContains('Hello Albus Perceval Wulfric Brian Dumbledore',$crawler->filter('h1')->text());
}

function testNameAction2()
{
    $client =static ::createClient();
    $crawler = $client->request('GET', '/hello');
    $this->assertEquals(200, $client->getResponse()->getStatusCode());
    $this->testRandomNameGenerator();
    $this->assertContains('Hello', $crawler->filter('h1')->text());

}


}

